version: '3.8'
services:
  postgres-master:
    image: postgres:13
    container_name: postgres-master
    environment:
      POSTGRES_DB: mydatabase
      POSTGRES_USER: myuser
      POSTGRES_PASSWORD: mypassword
    volumes:
      - ./master-data:/var/lib/postgresql/data
    ports:
      - "5432:5432"

  postgres-replica1:
    image: postgres:13
    container_name: postgres-replica1
    environment:
      POSTGRES_DB: mydatabase
      POSTGRES_USER: myuser
      POSTGRES_PASSWORD: mypassword
      POSTGRES_MASTER_HOST: postgres-master
    volumes:
      - ./replica1-data:/var/lib/postgresql/data
    ports:
      - "5433:5432"
    depends_on:
      - postgres-master

  postgres-replica2:
    image: postgres:13
    container_name: postgres-replica2
    environment:
      POSTGRES_DB: mydatabase
      POSTGRES_USER: myuser
      POSTGRES_PASSWORD: mypassword
      POSTGRES_MASTER_HOST: postgres-master
    volumes:
      - ./replica2-data:/var/lib/postgresql/data
    ports:
      - "5434:5432"
    depends_on:
      - postgres-master
